Bug 1322267 - CVE-2016-3069 mercurial: arbitrary code execution when converting Git repos
Summary: CVE-2016-3069 mercurial: arbitrary code execution when converting Git repos
Keywords:
Status: CLOSED DUPLICATE of bug 1320155
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1322268
Blocks: 1322269
TreeView+ depends on / blocked
 
Reported: 2016-03-30 07:41 UTC by Andrej Nemec
Modified: 2019-09-29 13:46 UTC (History)
3 users (show)

Fixed In Version: mercurial 3.7.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-04 08:11:32 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-03-30 07:41:59 UTC
Mercurial prior to 3.7.3 allowed arbitrary code execution when converting Git repos with hostile names. This could affect automated conversion services.

External references:

https://www.mercurial-scm.org/wiki/WhatsNew#Mercurial_3.7.3_.282016-3-29.29

Upstream fixes:

https://selenic.com/repo/hg-stable/rev/197eed39e3d5
https://selenic.com/repo/hg-stable/rev/cdda7b96afff
https://selenic.com/repo/hg-stable/rev/b732e7f2aba4
https://selenic.com/repo/hg-stable/rev/80cac1de6aea
https://selenic.com/repo/hg-stable/rev/ae279d4a19e9

Comment 1 Andrej Nemec 2016-03-30 07:43:43 UTC
Created mercurial tracking bugs for this issue:

Affects: fedora-all [bug 1322268]

Comment 2 Adam Mariš 2016-04-04 08:11:32 UTC

*** This bug has been marked as a duplicate of bug 1320155 ***

Comment 3 Fedora Update System 2016-04-07 15:47:51 UTC
mercurial-3.5.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-04-07 15:50:15 UTC
mercurial-3.5.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.